Subject: Re: Licensing a file format (was Re: SVN Branch Description Format)

From: Andrew Sayers <[email-masked]>
Date: Mon, 19 Mar 2012 20:31:41 +0000

On 19/03/12 01:34, Jonathan Nieder wrote:
> Hi Andrew,
> 
> Andrew Sayers wrote:
> 
>> I'm planning to release the spec under a Creative Commons
>> Attribution-NoDerivs license
> [...]
>> So the big question - would you be more inclined to use/contribute to
>> the SVN Branch Description Format if it had a different license?
> 
> Yes.  By the way, I think fear of forking/discussion of potential
> improvements/translation into other languages in the context of
> standards is misguided.  If you would like legal protection for your
> standard, that is what trademark law is for.
> 
> Kind regards,
> Jonathan
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 

Could you expand on this?  A quick tour of the git codebase suggests
your objection is just to the "no derivatives" bit for documentation,
and not to the MIT license for code?

It sounds like you're saying that forking isn't a big real-world
problem, which I guess makes sense - it'll all work out in the end as
long as a single standard is in everybody's interests.  So the CC-BY
license is my favourite for now.

	- Andrew